Name:           python-glances
Version:        4.3.0.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A cross-platform curses-based monitoring tool

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/nicolargo/glances
Source:         %{pypi_source glances}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'glances' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-glances
Summary:        %{summary}

%description -n python3-glances %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-glances action,all,browser,cloud,containers,export,gpu,graph,ip,raid,sensors,smart,snmp,sparklines,web,wifi


%prep
%autosetup -p1 -n glances-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x action,all,browser,cloud,containers,export,gpu,graph,ip,raid,sensors,smart,snmp,sparklines,web,wifi


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-glances -f %{pyproject_files}


%changelog
%autochangelog